<?php

namespace Database\Seeders;

use App\Models\Nivel;
use Illuminate\Database\Seeder;

class NivelSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $nivel1= Nivel::create([
            'name' => 'Bachillerato',
            'status' => 1
        ]);

        $nivel1->nivelPlantel()->sync([1,2,3]);

        $nivel2= Nivel::create([
            'name' => 'Licenciatura',
            'status' => 1
        ]);

        $nivel2->nivelPlantel()->sync([1,2,3]);


        Nivel::create([
            'name' => 'Maestría',
            'status' => 1
        ]);

        Nivel::create([
            'name' => 'Doctorado',
            'status' => 1
        ]);
    }
}
